/**
 * Small search modification
 *
 * @author Mirko Zinn <mail@derzinn.de>
 * @package Minimalism template
 **/

/*
 * toggle search value
 */
var min_search = $('qsearch__in');
min_search.title = '';
min_search.value = min_search_value;
min_search.setAttribute('autocomplete', 'off');
min_search.onfocus = function() {
	this.value = '';
}
min_search.onblur = function() {
	this.value = min_search_value;
}

/*
 * trim search matches
 */
var min_trim_matches = function(data) {
	var max = 35;
	var eom = document.createElement('div');
	eom.innerHTML = data;
	tmp = eom.getElementsByTagName('a');
	for (i = 0, c = tmp.length; i < c; i++) {
		if (tmp[i].innerHTML.length > max + 3) {
			tmp[i].innerHTML = tmp[i].innerHTML.slice(0, max - 1) + '&hellip;';
		}
	}
	return eom.innerHTML;
}

/*
 * overwriting object event
 */
ajax_qsearch.sack.onCompletion = function() {
	var data = ajax_qsearch.sack.response;
	if (data == '') { return; }
	ajax_qsearch.outObj.innerHTML = min_trim_matches(data);
	ajax_qsearch.outObj.style.display = 'block';
}